<p-fileUpload name="myfile"
              accept="image/*"
              auto="auto"
              files="file"
              maxFileSize="1000000"
              customUpload="true"
              (onRemove)="onRemove($event)"
              (uploadHandler)="myUploader($event)">
  <ng-template let-f pTemplate="file"></ng-template>
  <ng-template pTemplate="content">
    <div *ngIf="file">
      <div>
        <img class="preview-image" [src]="(file.objectURL || file)" alt="uploaded image">
        <span style="margin: 0 20px;"> {{ file.name }} </span><span> {{(file.size / 1024) | number:'.1' }}</span>
        <a (click)="onRemove($event)" class="btn btn-info" style="margin-left: 30px; color: white;"><i class="fa fa-close"></i></a>
      </div>
    </div>
  </ng-template>
</p-fileUpload>



